None
closed
nobody
None
6 days ago
2018-10-05
Anonymous
No

I'm running upmpdcli 1.3.4 with minidlna on a debain stretch machine. Tidal is just running fine, but playing songs in minidlna server, I got so many clicks & pops and finally stop playing. On the same machine with upmpdcli 1.2.16, I didn't encount that problem.

Discussion

  • medoc
    medoc
    2018-10-05

    As far as I can see, nothing has changed between 1.2 and 1.3 for playing from "normal" media servers. In both versions, all the streaming is done by MPD, upmpdcli only deals with URLs.

    Maybe check with the 'top' command to see if upmpdcli or one of its subprocesses is using a lot of CPU or memory, that's the only way I can think of for them to disturb the MPD-minidlna link.

    The debian packages for 1.2 are still around if you want to give a try to switching back to the previous version:
    http://www.lesbonscomptes.com/upmpdcli/downloads/debian-upm-1.2/pool/main/u/upmpdcli/

    You only need to uninstall and reinstall upmpdcli-xx, libupnpp is the same version.

     
  • Anonymous
    Anonymous
    2018-10-06

    Thanks for reply.
    "top" command shows no processe is running more than 1% of CPU resources.
    I tried switching back to 1.2, but I got the follow errors during installation.
    I also tried to install libjsoncpp0 & limicrohttp10 but without success for debian stretch.

    root@debian-stretch:/temp# dpkg -i upmpdcli_1.2.16-1~ppa1~unstable_armhf.deb
    (Reading database ... 47163 files and directories currently installed.)
    Preparing to unpack upmpdcli_1.2.16-1~ppa1~unstable_armhf.deb ...
    Unpacking upmpdcli (1.2.16-1~ppa1~unstable) over (1.2.16-1~ppa1~unstable) ...
    dpkg: dependency problems prevent configuration of upmpdcli:
    upmpdcli depends on libjsoncpp0; however:
    Package libjsoncpp0 is not installed.
    upmpdcli depends on libmicrohttpd10 (>= 0.9.20); however:
    Package libmicrohttpd10 is not installed.

     
  • Anonymous
    Anonymous
    6 days ago

    Finally, I switched back to Jessie with upmpdcli 1.3.6.
    minidlna & Tidal running without any problem.
    My pervious problem may due to the compatibility of Stretch/minidlna/MPD, but not related to upmpdcli. Please close this ticket. Thank you so much for this great project!

     
  • medoc
    medoc
    6 days ago

    Ok, thanks for the feedback. This is a bit weird, stretch is rather a progress in most areas compared to jessie, but this might be something related to your specific platform. Anyway, if it works all is great ! Closing this then.

     
  • medoc
    medoc
    6 days ago

    • status: open --> closed
    • milestone: -->
     

Cancel   Add attachment